SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Private API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Customer
    Get list of customersCreate a customerGet customer by IDUpdate a customerDelete a customerCredit a customer's store credit balanceCreate a customer noteUpdate a customer noteDelete a customer noteCreate a customer addressUpdate a customer addressDelete a customer addressGet list of customer pickup infoCreate customer pickup infoUpdate customer pickup infoDelete customer pickup infoCreate a customer payment methodDelete a customer payment method
Subscription
    Get list of subscriptionsCreate a subscriptionGet subscription by IDCancel a subscriptionUndo cancellationCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundleApply a discount to a subscriptionRemove a subscription discount
Invoice
    Get list of invoicesGet invoice by IDSchedule the next payment for invoiceVoid an invoiceForgive an invoiceMark an invoice as paid
Order
    Get list of ordersGet order by IDUpdate an orderShip an orderCancel an orderMark an order as pendingArchive an orderMark an order as a future shipmentSync order shipping items
Payment Method
    Get payment method by ID
Transaction
    Get list of transactionsGet transaction by ID
Cancellation
    Get shop cancellation reasons
Product
    Get list of productsGet product by IDGet variant by IDUpdate variantGet plan by IDUpdate planCreate subscription productUpdate subscription productPublish subscription productUnpublish subscription productArchive subscription productSync subscription product metadataCreate one-time productUpdate one-time productPublish one-time productUnpublish one-time productArchive one-time productSync one-time product metadataCreate variantArchive variantBatch create/update/archive variantsCreate planArchive plan
Survey
    Get survey by IDGet list of surveys
Bundle
    Get list of bundlesCreate a new bundleGet bundle by IDUpdate a bundleGet list of bundle itemsCreate a bundle itemBatch create bundle itemsGet bundle item by IDUpdate a bundle itemDelete a bundle itemGet list of bundle groupsPublish a bundleUnpublish a bundleArchive a bundleSync bundle metadataCreate a bundle planGet bundle plan by IDUpdate a bundle planArchive a bundle plan
Tag
    Get list of tags
Metafield
    Get shop's metafieldsCreate a new metadataUpdate the metadata
Funnel
    Get list of funnelsGet funnel by ID
Option
    Get list of options
Country
    Get list of countries
Inventory
    Get list of inventory itemsCreate a new inventory itemGet inventory item by IDUpdate an inventory itemArchive an inventory itemGet list of inventory groupsCreate a new inventory groupGet inventory group by IDUpdate an inventory group
Coupon
    Get list of couponsCreate a couponGet coupon by IDUpdate a couponArchive a coupon
Product Collection
    Get list of product collectionsCreate a product collectionGet product collection by IDUpdate a product collectionPublish a product collectionUnpublish a product collectionArchive a product collectionGet list of collection groups with itemsSync collection items

Transaction

Private Transaction API endpoints

Endpoints
  • GET/transactions
  • GET/transactions/{transaction_id}

Get list of transactions

GET /transactions

An API endpoint to get list of transactions.

Query parameters

pageoptionalinteger

Page

per_pageoptionalinteger

Entities per page

customer_idoptionalinteger

Filter by customer ID

invoice_idoptionalinteger

Filter by invoice ID

statusoptionalstring

Filter transactions by status (e.g., success, failed)

Possible values: success, failed.

external_idsoptionalstring[]

Filter transactions by external (gateway) transaction IDs

Returnsobject

Transactions list response

curl https://api.subbly.co/private/v1/transactions \ -H 'X-API-KEY: <api-key>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01 00:00:00", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [ {} ], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01 00:00:00" }, "description": "description", "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01 00:00:00" }, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" } ] }

Get transaction by ID

GET /transactions/{transaction_id}

A detailed description of the charge transaction.

Path parameters

transaction_idRequiredinteger

Transaction ID

Format: integer.

ReturnsTransaction

Transaction object response

curl https://api.subbly.co/private/v1/transactions/{transaction_id} \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "external_id": "pi_3Qtw6SJ8pwdPGEaK0nZoMSSE", "invoice_id": 1, "customer_id": 1, "customer": { "id": 8435732, "user_id": 5512, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01 00:00:00", "external_id": "crm-8842", "default_payment_method_id": 1, "default_payment_method": {}, "payment_methods": [ {} ], "subscriptions": [ {} ], "past_due_invoice_count": 0, "balance": 1500, "tags": [ "VIP" ], "tags_meta": [ {} ], "notes": [ {} ], "addresses": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01 00:00:00" }, "description": "description", "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "currencies": [ "USD", "EUR" ], "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01 00:00:00" }, "type": "charge", "status": "success", "amount": 1.5, "currency_code": "USD", "last_payment_error": { "error_text": "Your card has insufficient funds.", "decline_code": "insufficient_funds", "error_code": "card_declined" }, "created_at": "2026-01-15T10:30:00Z" }
paginationobject
dataTransaction[]
idinteger

Unique ID for the charge transaction

external_idstring

Gateway reference ID

invoice_idinteger

Associated invoice ID

customer_idinteger

Associated customer ID

customerCustomer | null

Expandable link to the customer

descriptionstring

Description of the transaction

payment_method_idinteger

ID of the payment method used

payment_methodPaymentMethod | null

Expandable link to the payment method

typestring

Type of transaction

Possible values: charge.

statusstring

Status of the transaction

Possible values: success, failed.

amountnumber

Transaction amount in cents

Format: number.

currency_codestring

Currency code in ISO format

last_payment_errorobject | null
created_atstring

2022-04-01 00:00:00

Format: date-time.